E-Arogya - Bug #72

Feature # 65 (New): Security Audit

[Security Audit ] 7- Framework Obsolete Version in usage
17/04/2024 03:41 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

7 Framework Obsolete Version in usage

CWE : CWE-1035

Description :

It is observed that java spring boot older version in usage.

Affected Path(s) :

/(Webserver)

Impact :

Known type of vulnerabilities exists in the application due to the usage of lower version.
Recommendation :

It is recommended to upgrade to the latest stable and secure version of springframework.
Evidence/Proof Of Concept :

Step 1: Outdated Spring boot Framework version is being used in the application.
Step 2: It is found that 2.5.4 version life support is ended on May 10, 2023.

clipboard-202404171541-ptpc4.png

History

#1 - 24/04/2024 12:52 AM - Vasudev Mamidi

- Status changed from New to Feedback

#2 - 25/04/2024 11:52 PM - Vasudev Mamidi

- Status changed from Feedback to Resolved

#3 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 30/09/2024 05:22 PM - Gautam Kumar

- Status changed from Resolved to Closed
